## org.eclipse.jetty.security.authentication
Class ClientCertAuthenticator

    java.lang.Object
      org.eclipse.jetty.security.authentication.LoginAuthenticator
          org.eclipse.jetty.security.authentication.ClientCertAuthenticator

All Implemented Interfaces:
  Authenticator

    public class ClientCertAuthenticator

extends LoginAuthenticator

Version:
  $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.security.Authenticator
`Authenticator.AuthConfiguration, Authenticator.Factory`

Field Summary

Fields inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator
`_deferred, _identityService, _loginService, SESSION_SECURED`

Constructor Summary
`ClientCertAuthenticator()`

Method Summary
`java.lang.String` `getAuthMethod()`
`boolean` `secureResponse(ServletRequest req, ServletResponse res, boolean mandatory, Authentication.User validatedUser)`
`Authentication` `validateRequest(ServletRequest req, ServletResponse res, boolean mandatory)` Validate a response

Methods inherited from class org.eclipse.jetty.security.authentication.LoginAuthenticator
`getLoginService, renewSessionOnAuthentication, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientCertAuthenticator

    public ClientCertAuthenticator()

Method Detail

### getAuthMethod

    public java.lang.String getAuthMethod()

  Returns:
    The name of the authentication method

### validateRequest

    public Authentication validateRequest(ServletRequest req,
                                          ServletResponse res,
                                          boolean mandatory)
                                   throws ServerAuthException

  Description copied from interface: `Authenticator`
  Validate a response

  Parameters:
    `req` - The request
    `res` - The response
    `mandatory` - True if authentication is mandatory.
  Returns:
    Authentication for request
  Throws:
    `ServerAuthException`

### secureResponse

    public boolean secureResponse(ServletRequest req,
                                  ServletResponse res,
                                  boolean mandatory,
                                  Authentication.User validatedUser)
                           throws ServerAuthException

  Returns:
    true if response is secure
  Throws:
    `ServerAuthException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.